- job:
    name: trigger-zephyr-upstream-arm
    project-type: freestyle
    defaults: global
    properties:
        - authorization:
            anonymous:
                - job-read
        - build-discarder:
            days-to-keep: 30
            num-to-keep: 30
    disabled: false
    node: triggers
    display-name: 'Trigger for Zephyr project (arm)'
    scm:
        - git:
            url: https://github.com/zephyrproject-rtos/zephyr.git
            refspec: +refs/heads/arm:refs/remotes/origin/arm
            name: origin
            branches:
                - refs/heads/arm
            skip-tag: true
            shallow-clone: true
            wipe-workspace: false
    triggers:
        - pollscm: 'H/5 * * * *'
    wrappers:
        - timestamps
        - build-name:
            name: '#${BUILD_NUMBER}-${GIT_REVISION,length=8}'
    builders:
        - trigger-builds:
            - project: 'zephyr-upstream-arm'
              predefined-parameters: GIT_COMMIT=${GIT_COMMIT}
